package weka.classifiers.functions;

import Jama.Matrix;

public class LinearRegression_SquareLoss extends CustomLinearRegression{

	private static final long serialVersionUID = 729318805723186342L;
	
	/**
	   * Returns a string describing this classifier
	   * @return a description of the classifier suitable for
	   * displaying in the explorer/experimenter gui
	   */
	  public String globalInfo() {
	    return "This classifier uses square loss to fit a hyperplane to the data";
	  }
	  
	protected double getErrorFunction(){
			Matrix predictedY = x.times(w);
			Matrix error = y.minus(predictedY);
			return error.transpose().times(error).get(0, 0);
	  }
	  
	  protected Matrix getGradient(){
		  	return x.transpose().times(x.times(w).minus(y)).times(2);
	  }

	  /**
	   * Main method for testing this class
	   *
	   * @param argv options
	   */
	  public static void main(String [] argv){
	    runClassifier(new LinearRegression_SquareLoss(), argv);
	  } 	  
}
